#include "CGIFormData.h"
#include "IMFHeader.h"
#include "malloc.h"

namespace coreutils {
   
   CGIFormData::CGIFormData(int fd, ZString contentType, int contentLength, ZString boundary)
     : contentType(contentType) { 
      if(contentType == "application/x-www-form-urlencoded") {
	 setSize(contentLength);
	 read(fd, contentLength);
	 formdata = new CGIFormattedData(*this);
      } else if(contentType == "multipart/form-data") {
	 

      }
      
      
   }

   MString CGIFormData::operator[](ZString name) {
//      if(contentType == "application/x-www-form-urlencoded") 
//	return formdata[name];
      MString temp(name);
      return temp;
   }
   
}
